Bug 570970 - finch: bloated dependencies
finch: bloated dependencies
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraServerTracker
  Show dependency treegraph
 
Reported: 2010-03-05 20:56 EST by James Cassell
Modified: 2015-02-17 08:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:16:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Cassell 2010-03-05 20:56:08 EST
Description of problem:
There are way too many dependencies when installing finch on a server without X.  If irssi can get away without a million dependencies, finch should be able to as well.

Version-Release number of selected component (if applicable):
2.6.6-1.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install a minimal Fedora
2. # yum install finch
3. see a huge list of dependencies that are going to be dragged in
  
Actual results:
================================================================================
 Package                      Arch      Version                Repository  Size
================================================================================
Installing:
 finch                        x86_64    2.6.6-1.fc12           updates    241 k
Installing for dependencies:
 GConf2                       x86_64    2.28.0-4.fc12          updates    963 k
 ORBit2                       x86_64    2.14.17-3.fc12         fedora     160 k
 alsa-lib                     x86_64    1.0.22-2.fc12          updates    369 k
 atk                          x86_64    1.28.0-1.fc12          fedora     171 k
 avahi-glib                   x86_64    0.6.25-5.fc12          fedora      19 k
 cairo                        x86_64    1.8.8-3.fc12           fedora     288 k
 cdparanoia-libs              x86_64    10.2-5.fc12            fedora      45 k
 cyrus-sasl-md5               x86_64    2.1.23-4.fc12          fedora      44 k
 cyrus-sasl-plain             x86_64    2.1.23-4.fc12          fedora      29 k
 farsight2                    x86_64    0.0.16-1.fc12          fedora     158 k
 flac                         x86_64    1.2.1-6.fc12           fedora     230 k
 fontconfig                   x86_64    2.8.0-1.fc12           updates    186 k
 freetype                     x86_64    2.3.11-3.fc12          updates    357 k
 gnome-keyring                x86_64    2.28.2-2.fc12          updates    813 k
 gssdp                        x86_64    0.7.1-1.fc12           updates     40 k
 gstreamer                    x86_64    0.10.25.1-3.fc12       updates    744 k
 gstreamer-plugins-base       x86_64    0.10.25.1-2.fc12       updates    896 k
 gstreamer-plugins-good       x86_64    0.10.17-4.fc12         updates    1.1 M
 gstreamer-tools              x86_64    0.10.25.1-3.fc12       updates     22 k
 gtk2                         x86_64    2.18.7-1.fc12          updates    3.3 M
 gupnp                        x86_64    0.13.2-1.fc12          updates     65 k
 gupnp-igd                    x86_64    0.1.3-3.fc12           fedora      23 k
 hicolor-icon-theme           noarch    0.11-1.fc12            fedora      39 k
 jack-audio-connection-kit    x86_64    0.118.0-1.fc12         updates    170 k
 jasper-libs                  x86_64    1.900.1-14.fc12        fedora     140 k
 libICE                       x86_64    1.0.6-1.fc12           fedora      51 k
 libIDL                       x86_64    0.8.13-2.fc12          fedora      79 k
 libSM                        x86_64    1.1.0-7.fc12           fedora      25 k
 libX11                       x86_64    1.3-1.fc12             fedora     582 k
 libX11-common                noarch    1.3-1.fc12             fedora     188 k
 libXau                       x86_64    1.0.5-1.fc12           fedora      21 k
 libXcomposite                x86_64    0.4.1-2.fc12           fedora      17 k
 libXcursor                   x86_64    1.1.10-1.fc12          fedora      31 k
 libXdamage                   x86_64    1.1.2-1.fc12           fedora      16 k
 libXext                      x86_64    1.1-2.fc12             updates     33 k
 libXfixes                    x86_64    4.0.4-1.fc12           fedora      19 k
 libXft                       x86_64    2.1.13-4.fc12          fedora      47 k
 libXi                        x86_64    1.3-2.fc12             updates     32 k
 libXinerama                  x86_64    1.1-1.fc12             fedora      15 k
 libXrandr                    x86_64    1.3.0-5.fc12           updates     30 k
 libXrender                   x86_64    0.9.5-1.fc12           fedora      27 k
 libXtst                      x86_64    1.0.99.2-3.fc12        fedora      21 k
 libXv                        x86_64    1.0.5-1.fc12           fedora      21 k
 libasyncns                   x86_64    0.8-1.fc12             fedora      24 k
 libavc1394                   x86_64    0.5.3-9.fc12           fedora      43 k
 libdv                        x86_64    1.0.0-8.fc12           fedora      74 k
 libfreebob                   x86_64    1.0.11-6.fc12          fedora     129 k
 libgudev1                    x86_64    145-15.fc12            updates     53 k
 libiec61883                  x86_64    1.2.0-3.fc12           fedora      34 k
 libnice                      x86_64    0.0.9-2.fc12           fedora      95 k
 libogg                       x86_64    2:1.1.4-2.fc12         fedora      20 k
 liboil                       x86_64    0.3.16-4.fc12          fedora     114 k
 libproxy                     x86_64    0.2.3-12.fc12          fedora      33 k
 libproxy-bin                 x86_64    0.2.3-12.fc12          fedora     7.6 k
 libproxy-python              x86_64    0.2.3-12.fc12          fedora     7.6 k
 libpurple                    x86_64    2.6.6-1.fc12           updates    5.6 M
 libraw1394                   x86_64    2.0.4-1.fc12           fedora      51 k
 libshout                     x86_64    2.2.2-5.fc12           fedora      39 k
 libsilc                      x86_64    1.1.10-1.fc12          fedora     327 k
 libsndfile                   x86_64    1.0.20-3.fc12          updates    176 k
 libsoup                      x86_64    2.28.2-1.fc12          updates    162 k
 libthai                      x86_64    0.1.12-2.fc12          fedora     168 k
 libtheora                    x86_64    1:1.1.0-1.fc12         fedora     119 k
 libv4l                       x86_64    0.6.4-1.fc12           updates    105 k
 libvisual                    x86_64    0.4.0-9.fc12           fedora     126 k
 libvorbis                    x86_64    1:1.2.3-4.fc12         updates    170 k
 libxcb                       x86_64    1.5-1.fc12             updates     99 k
 meanwhile                    x86_64    1.1.0-2.fc12           fedora      89 k
 pango                        x86_64    1.26.2-1.fc12          updates    347 k
 pixman                       x86_64    0.16.6-1.fc12          updates    136 k
 pulseaudio-libs              x86_64    0.9.21-4.fc12          updates    428 k
 sgml-common                  noarch    0.6.3-31.fc12          updates     42 k
 speex                        x86_64    1.2-0.12.rc1.fc12      fedora      92 k
 taglib                       x86_64    1.6.1-2.fc12           updates    207 k
 wavpack                      x86_64    4.60-1.fc12            fedora     111 k

Transaction Summary
================================================================================
Install      76 Package(s)
Upgrade       0 Package(s)

Total download size: 21 M
Is this ok [y/N]: 


Expected results:
way fewer dependencies pulled in with it

Additional info:
if irssi can work without having millions of dependencies, finch should be able to, too
Comment 1 James Cassell 2010-03-05 21:25:07 EST
ok, so I looked at the dependencies more carefully... Here are the changes I'm guessing could be made:

Remove from finch:
farsight2
gstreamer
gstreamer-plugins-base
libX11

Remove from libpurple:
avahi? (if so, avahi-glib, too)
farsight2
gstreamer
gstreamer-plugins-base


I'm guessing that removing the deps from libpurple might require splitting it into two packages
Comment 2 Stu Tomlinson 2010-03-06 13:19:43 EST
Stripping any of avahi, farsight2, gstreamer or gstreamer-plugins-base dependencies would require considerable code changes to libpurple that would need to happen upstream. There isn't actually a direct dependency on gstreamer-plugins-base anyway.

The best that can be achieved with packaging changes would be removing the direct dependency on libX11 from finch by moving the gntclipboard and gntgf gnt plugins to a finch-X11 package. However, there won't actually be any benefit from doing that because libX11 is still pulled in as a dependency via farsight2 -> gstreamer-plugins-good -> gstreamer-plugins-base -> libX11.so.6
Comment 3 Fedora Admin XMLRPC Client 2010-09-22 15:35:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2010-09-22 15:36:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2010-11-03 16:41:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-04-03 15:04:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora Admin XMLRPC Client 2014-02-17 07:58:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2014-02-17 07:59:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2015-01-09 11:15:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 08:16:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.